2022-10-16  Karl Berry  <karl@freefriends.org>

	* NEWS,
	* Makefile (version),
	* doc/eplain.texi,
	* doc/eplain.1: 3.14.

	* xeplain.tex (\readcontentsfile): \immediate\closeout
	the tocfile before reading it, in case the document mixes
	reading and writing.
	* doc/userdef.texi (Reading the .toc file): mention reading the
	toc after writing all entries.
	* test/tocwriteread.tex: test file from Andy Bradford.
	
	* PROJECTS: lists of figures etc. are supported.

	* doc/Makefile (eplain.html): do not build split html; we don't
	distribute or use it.

2023-10-30  Karl Berry  <karl@freefriends.org>

	* PROJECTS: tweak release commands.
	* doc/userdef.texi: mention that using apalike.bst requires
	\input apalike.tex. Report from Terry S,
	https://tug.org/pipermail/tex-eplain/2023/001096.html.
	
	* xeplain.tex: avoid premature end of input if iftex.sty
	has already been read.

2022-10-16  Karl Berry  <karl@freefriends.org>

	* NEWS,
	* Makefile (version): 3.13
	* doc/eplain.texi: 3.13, still October 2022.
	* xeplain.tex (\@gobbleminus): restore accidentally commented-out
	definition, causing toc processing to fail.
	https://tug.org/pipermail/tex-eplain/2022/001057.html

2022-10-02  Karl Berry  <karl@freefriends.org>

	* NEWS,
	* Makefile (version): 3.12.
	* doc/eplain.texi: 3.12, October 2022. Regenerate.

2022-10-05  Karl Berry  <karl@freefriends.org>

	* xeplain.tex: mailing list is tex-eplain, not bug-eplain.
	* README,
	* xeplain.tex,
	* demo/xrhyper.tex: https not http.
	* doc/Makefile (eplain.info, PDF_DEMOS): depend on demo .tex sources.

2022-10-05  Karl Berry  <karl@freefriends.org>

	* xeplain.tex: document bug in double-columns that marks are not
	always preserved. See threads:
	https://tug.org/pipermail/tex-eplain/2021/001001.html
	https://tug.org/pipermail/tex-eplain/2022/001049.html
	* doc/userdef.texi: mention mark bug.

	* doc/Makefile (MAKEINFO_HTML):	https for TOP_NODE_UP_URL.

2022-10-03  Karl Berry  <karl@freefriends.org>

	* Makefile (fetch, fetch1): new targets.
	* texnames.sty: update to current (explicit pd statement).

2022-10-02  Karl Berry  <karl@freefriends.org>

	* doc/*.texi: remove use of @acronym; better to just use capitals.
	Also, downcase "url".

2022-10-02  Karl Berry  <karl@freefriends.org>

	* iftex.sty: new file.
	* ifpdf.sty: remove.
	* util/mkdist-merge: ifpdf.sty -> iftex.sty.
	* xeplain.tex: ifpdf.sty -> iftex.sty.
	* doc/userdef.texi (Checking for PDF output): now using iftex.sty;
	update description.
	* Makefile (sources): now iftex.sty.

2022-10-02  Karl Berry  <karl@freefriends.org>

	* README: update urls, mention miniltx and optex.
	* doc/userdef.texi (Loading LaTeX packages): mention that
	miniltx.tex can usually be used on its own, without Eplain.
		
	* doc/eplain.texi (Top): remove detailed menu, seems
	unnecessary (and Emacs commands for updating aren't working well).
	* doc/intro.texi: mention alternatives to Eplain (miniltx, optex).

	* doc/progdef.texi (Scratch registers): new section to describe
	standard conventions for register usage.
	
	* doc/eplain.1,
	* doc/install.texi,
	* doc/invoke.texi: update to something like current reality.

	* doc/*.texi: use svn $Id$.
	* doc/*.texi: use https urls; update urls.
	
	* doc/texinfo.tex: remove; let's just assume it's available.

	* doc/Makefile (TEXFOT): new definition for quieter TeX runs.

2022-10-02  Karl Berry  <karl@freefriends.org>

	* btxmac.tex (\futurenonspacelet, \@step..., \providecommand):
	use \@btxcs instead of \cs, which may be otherwise defined,
	e.g., by plain tugboat.sty. Version 0.99q.

2020-09-19  Karl Berry  <karl@freefriends.org>

	* demo/Makefile (ctan_lion_350x350.png): update ctan_lion url.
	Report from Van Ly, 19 Sep 2020 15:12:58.

2020-07-04  Karl Berry  <karl@freefriends.org>

	* README: mailing list is tex-eplain, not bug-eplain

	* Makefile (version): 3.11 (skip 3.10).
	* doc/eplain.texi: 3.11, July 2020.

	* xeplain.tex (\@parse@version@dash): new macro, from LaTeX,
	to support YYYY-MM-DD format in \ProvidesPackage.
	(\@parse@version): call it.
	Report and patch from Fred Gilham,
	https://tug.org/pipermail/tex-eplain/2020/000987.html

2019-05-31  Karl Berry  <karl@freefriends.org>

	* Version 3.9.

	* Makefile (browse_dir): use -y to zip to preserve top-level
	symlink for CTAN.

	* btxmac.tex (\providecommand): forgot rename of \@continuenewcommand
	to \@btxcontinuenewcommand, causing \@optionalusercs undefined error.
	0.99p. Also doc fixes.
	https://tug.org/pipermail/tex-eplain/2019/000983.html

2019-05-29  Karl Berry  <karl@freefriends.org>

	* doc/eplain.texi: version 3.9, May 2019.
	* doc/hlink.texi (Making PDF outlines): new section,
	following https://tug.org/pipermail/tex-eplain/2016/000911.html.
	* doc/*.texi: typos, https.

2019-05-28  Karl Berry  <karl@freefriends.org>

	* doc/hlink.texi (Introduction to hyperlinks):
	option [dvipdfm] better for \enablehyperlinks example.

2016-05-14  Karl Berry  <karl@freefriends.org>

	* Version 3.8.

	* ifpdf.sty: sync with current oberdiek, 2016/04/04 v3.0.

	* doc/userdef.texi (Packages known not to work): add microtype.

2016-05-12  Karl Berry  <karl@freefriends.org>

	* btxmac.tex: rename \@newcommand and others to \@btx...,
	to avoid conflicts with Babel's plain.def.  Version 0.99o.
	
2015-02-04  Karl Berry  <karl@gnu.org>

	* Version 3.7.

2014-12-11  Karl Berry  <karl@gnu.org>

	* xeplain.tex: new macro \raggedleft a la plain's raggedright.
	Suggested by Dorai Sitaram, 8 Dec 2014 18:22:35.
	* doc/userdef.texi (Justification): document it.
	* test/raggedleft.tex: test it.

2014-12-09  Karl Berry  <karl@gnu.org>

	* doc/userdef.texi (Packages known to work): show \fbox
	contributed by Dan and Helmut.

2013-09-30  Karl Berry  <karl@gnu.org>

	* Version 3.6.
	* NEWS: update.

	* Makefile: redo dist targets for current CTAN conventions.
	
	* doc/btxdoc.{bib,tex}: remove these copies of files from BibTeX.
	* Makefile,
	* doc/Makefile: remove references to them.
	
	* doc/arrow.texi: must (re)set catcodes of ` and ' now.
	* doc/texinfo.tex: update.

	* btxmac.tex (\@@getoptionalarg): use \@futurenonspacelet, thus
	ignoring spaces after optional arguments as well as before.
	Suggestion from John Frampton.
	(\@futurenonspacelet): make \long.
	(\@optionaltemp): rename to \@optionalusercs for clarity.
	* xeplain.tex (\defineindex): do not make \outer.
	* doc/progdef.texi (Macro arguments): mention \futurenonspacelet.

2013-02-14  Karl Berry  <karl@gnu.org>

	* Makefile (dist_browse): ln -s README.
	(dist_tds): skip extra doc/doc level.

2013-02-08  Karl Berry  <karl@gnu.org>

	* xeplain.tex (\columnfill): take \@col@extraheight into account.
	Report from James Mckernon, 9 Oct 2012 12:04:55.
	(Also add various %d(ebugging) messages.
	* test/colfill.tex: the test file from James.
	* doc/userdef.texi (Multiple columns): update \columnfill description
	to be somewhat closer to reality.

2013-02-07  Karl Berry  <karl@gnu.org>

	* doc/Makefile (all): do not make btxdoc.

	* doc/eplain.1: update.

	* xeplain.tex (\beginpackages): at \endpackages, call
	\resetatcatcode if defined.
	* doc/userdef.texi (Environment for loading packages): mention this.

	* btxmac.tex (\bbltextbf): define this, not \textbf, as was
	intended all along.
	* doc/userdef.texi (Commands from LaTeX): new node.
	
	* btxmac.tex (\newcommand, \providecommand): make \long, like LaTeX.
	(\@newcommand): use \def rather than \edef for \@startdef.
	Report from Daniel Luecking, 12 Sep 2012 18:49:29.
	* test/luacompat.tex: new file.

2013-02-05  Karl Berry  <karl@gnu.org>

	* ifpdf.sty: import latest version from oberdiek.

2011-04-11  Karl Berry  <karl@gnu.org>

	* path.sty: official version 3.05, with doc updates and merging
	in Eplain changes.  (But with blank lines and other spaces.)

2010-02-24  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/eplain.1, Makefile, doc/Makefile:  Added original Eplain
	man page.  Needs updating.

2010-02-21  Oleg Katsitadze  <olegkat@gmail.com>

	* ChangeLog, Makefile, NEWS, doc/eplain.info, doc/eplain.pdf:
	* doc/eplain.texi, eplain.tex:
	Version 3.4.

2010-02-15  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex (\@finusepackage):  Make \ProcessOptions accept (and
	disregard) the optional star argument (patch by Dan Luecking).

2009-09-07  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/progdef.texi (Macro arguments):  Added examples of optional
	arguments mixed with mandatory arguments.

2009-07-21  Oleg Katsitadze  <olegkat@gmail.com>

	* NEWS, Makefile, eplain.tex, doc/eplain.info, doc/eplain.pdf:
	* doc/eplain.texi:
	Version 3.3.

2009-07-18  Oleg Katsitadze  <olegkat@gmail.com>

	* util/mkdist-merge:  Only unset world's and group's write
	permission bit on the generated eplain.tex and leave user's bit
	on.

	* xeplain.tex (\idx@scanterm):  Reset catcode of newline before
	calling \scantokens, to work around a peculiarity of TeX/e-TeX
	adding a trailing newline in \scantokens when newline's catcode is
	13 (active).  Hopefully nobody will ever rely on unusual newline
	catcode inside an index term.

	* doc/userdef.texi (Packages known to work):  Updated with the new
	version of epstopdf (v2.2).

	* xeplain.tex (\usepkg@load@pkg):  Send the package reloading
	warning to the log file only and not the terminal, for the sake of
	epstopdf.sty which causes several such warnings.

2009-07-12  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi (Verbatim listing):  Added a note on extending
	\dospecials when defining new special characters.
	* doc/progdef.texi (Category codes):  Refer to "Verbatim listing"
	for the note on \dospecials.

	* xeplain.tex (\@idxwrite):  \sanitize the term before passing it
	to \indexproofterm, to unactivate any active characters the user
	hasn't bothered to add to \dospecials.

2009-07-10  Karl Berry  <karl@gnu.org>

	* xeplain.tex (\beginpackages): Set \DoNotLoadEpstopdf,
	for TL 2009 graphics.cfg.

2009-07-05  Oleg Katsitadze  <olegkat@gmail.com>

	xeplain.tex (\eqnum, \eqalignnum, \lefteqnumbers, \righteqnumbers):
	New macros.  Suggested by Dan Luecking May 15 00:32:26 CEST 2009.
	doc/userdef.texi (Displays):  Documented \eqnum, \eqalignnum,
	\lefteqnumbers and \righteqnumbers.
	(Formatting displays):  Removed stale reference to \generaldisplay.

	xeplian.tex, doc/userdef.texi (Logos):  Added eTeX, ExTeX, XeTeX
	and XeLaTeX (from tugboat.dtx).  Suggested by Dorai Sitaram Apr 12
	21:30:42 CEST 2009.

2009-06-28  Oleg Katsitadze  <olegkat@gmail.com>

	(NEWS):  News for the upcoming release.

2009-06-26  Oleg Katsitadze  <olegkat@gmail.com>

	doc/hlink.texi (General hyperlinks, URL hyperlinks):  Added
	examples of mailto hyperlinks.  Suggested by John Culleton Apr 22
	14:53:31 CEST 2009.

2009-06-25  Oleg Katsitadze  <olegkat@gmail.com>

	demo/Makefile (ctan_lion_350x350.png): New target to notify about
	the missing image file and how to obtain it.

	Makefile (DIR_SOURCE, FILES_ZSOURCE): Renamed to DIR_ZSOURCE and
	FILES_ZSOURCE ("zipped source").
	(DIR_SOURCE, FILES_SOURCE): Targets for packaging unzipped source
	files.  Includes only xeplain.tex so far.  Suggested by Jim
	Diamond Jun 15 16:59:03 CEST 2009.

2009-06-21  Oleg Katsitadze  <olegkat@gmail.com>

	* README.TDS, xeplain.tex, doc/invoke.texi: Added a note on how to
	obtain Eplain's source files.

	* ifpdf.sty: Updated.

	* util/idxuniq, util/trimsee: Comment tweaks.

2009-05-23  Karl Berry  <karl@gnu.org>

	* util/trimsee:  use standard sh instead of bash ((...)), Frank K
	tex-live mail 23 May 2009 19:30:06 +0200, debian#530199

2009-03-28  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi (Indexing): Note on specifying output file for
	MakeIndex (option -o) when using multiple indexes.  Reported by
	John Culleton Mar 24 15:30:47 CET 2009.

2009-03-27  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex (\@idxcollectname):  Expand \idxnameseparator once,
	so that the .idx file contains its contents.  This ensures that
	\idxname{John}{Smith} and \idx{Smith, John} don't end up as
	separate index entries.  Reported by John Culleton Mar 23 19:31:46
	CET 2009.

2008-03-30  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi: Note on writing .bbl by hand.

2007-11-26  Oleg Katsitadze  <olegkat@gmail.com>

	* NEWS, Makefile, eplain.tex, doc/eplain.info, doc/eplain.pdf:
	* doc/eplain.texi:
	Version 3.2.
	* NEWS: More news for 3.2.

2007-11-23  Karl Berry  <karl@gnu.org>

	* doc/arrow.texi (Construction of commutative diagrams): use
	@smallexample to avoid overfull box.
	* doc/eplain.texi (@direntry): Switch to "TeX".  Update comments.
	* doc/userdef.texi: missing articles, etc.

2007-11-20  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex:  For each index with prefix N, added the \ifNdx
	switch to control opening and writing of the index file for that
	prefix.

	* xeplain.tex (@idxwrite):  Don't call \allowhyphens in vertical
	mode, to avoid spurious whitespace.

	* doc/userdef.texi (Formatting equation references):  Added an
	example on formatting equation numbers with optional part number.
	(Indexing):  Documented the \ifNdx switch.
	(Modifying index entries):  Clarified behavior of seealso entries.

2007-09-30  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi: Added index entries.

2007-09-17  Oleg Katsitadze  <olegkat@gmail.com>

	* Makefile, NEWS, eplain.tex, xeplain.tex:
	Refined double-column macros to reduce the chance of producing a
	spaced-out last column.
	* xeplain.tex (@col@extraheight):  New dimen.  Used by the
	double-column macros.

2007-09-12  Oleg Katsitadze  <olegkat@gmail.com>

	* Makefile, btxmac.tex, eplain.tex, xeplain.tex:
	Avoid save stack overflow when reading the .aux file with a large
	number of label definitions.

2007-09-07  Oleg Katsitadze  <olegkat@gmail.com>

	* eplain.tex, Makefile:
	* xeplain.tex (@endcolumns, @columnsplit):
	Modified column balancing macros to avoid losing material,
	reported by Gérald Tenenbaum 24 Aug 2007 14:56:00.  Some other
	refinements.
	(@balancecolumns, dump@balanced@columns, test@spill@columns):
	New macros.
	(ifspill@columns):  New switch.
	* test/colinterline.tex, test/colinserts.tex, test/collost.tex:
	* test/colpagetotal.tex:
	New tests for the column balancing routines.

2007-01-22  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-12-30  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-12-23  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-12-22  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-12-09  Oleg Katsitadze  <olegkat@gmail.com>

	* Makefile: Added explanatory comment to eplain.aux.

2006-12-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-12-03  Oleg Katsitadze  <olegkat@gmail.com>

	* Makefile, doc/eplain.info, doc/eplain.pdf, doc/eplain.texi, eplain.tex:
	Version 3.1.

	* doc/intro.texi: Added link to the TUGboat article.

	* NEWS: Reduced news for 3.1 a bit (it was way too long).

	* doc/hlink.texi, doc/invoke.texi, doc/progdef.texi, doc/userdef.texi:
	Formatting (mostly empty lines around @example's, @noindent's
	afterwards).

2006-12-01  Oleg Katsitadze  <olegkat@gmail.com>

	* Makefile, README.TDS:
	Removed texmf/ prefix from the TDS dirs in the distro.

	* doc/eplain.texi, doc/progdef.texi (Iteration): Updated node comment.

	* Makefile: Put scripts in the doc/ within the distro.

	* doc/userdef.texi (Customizing indexing):
	 trimsee is in util/, not test/.

	* NEWS: News for the upcoming Eplain 3.1.

2006-11-29  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex (idxargopen, idxargclose):  Removed obsolete comment.

	* doc/userdef.texi:  Added index terms for verbatim text in TOC
	and index.  (Writing the .toc file):  Better rationale for
	\writenumberedtocline.

	* doc/progdef.texi (Iteration):
	 Documented \loop (with the \else extension).

	* doc/userdef.texi (Packages known to work):  Added soul.sty.

2006-11-28  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi (Packages known not to work):  Added hyperref.sty.

	* doc/demo.texi, doc/hlink.texi, doc/install.texi, doc/intro.texi, doc/userdef.texi, doc/invoke.texi:
	Added breaks (@/) to @url's.

	* doc/eplain.texi, doc/userdef.texi (Index entries with special characters):
	 New node.

	* test/for.tex: New file.

	* doc/progdef.texi (Iteration):  Documented \For.  Correction
	 about expanding the first token of item list, not the entire
	 list.

	* xeplain.tex (For):  Modified to ignore _all_ leading spaces of
	 the items, not just the first space.

	* test/href.tex: Added a "weird chars" test.

	* doc/hlink.texi, doc/invoke.texi, doc/userdef.texi:
	Added a bunch of @acronym's.

	* doc/hlink.texi (Explicit hyperlinks):  Note on special chars in
	the label argument.

	* doc/eplain.texi, doc/hlink.texi (General hyperlinks): New node.

	* doc/progdef.texi (\ifinteger and \isinteger): Minor correction.

2006-11-09  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-10-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-10-04  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/hlink.texi (Link types for hypertex, Link types for pdftex
	and dvipdfm):  Moved url link types toward beginnings of the
	subsections.

	* doc/progdef.texi: Minor correction.

	* test/usepackage.tex: Test for LaTeX package reloading.

	* eplain.tex, xeplain.tex (\usepkg@load@pkg):  When reloading
	LaTeX packages, warn and skip reloading, instead of giving an
	error.

	* test/href.tex: New file.

	* doc/invoke.texi:  Removed the note on touch'ing the .aux file
	before running texi2dvi, texi2dvi can deal with this since
	revision 1.90.  (BTW, the problem was not with cross-references
	but with citations.)

2006-09-30  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/eplain.texi: Updated the master menu.

	* doc/invoke.texi:  Note on touch'ing the .aux file before running
	texi2dvi.

	* doc/userdef.texi (Contents):  Split into subsections.  Documented
	\writenumberedtocline.  Documented integer @var{part} arguments.

	* doc/progdef.texi (\ifinteger and \isinteger):  New subsection.

2006-09-27  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/eplain.texi:  Added nodes for "Loading LaTeX packages" to
	the master menu.

	* doc/userdef.texi (Verbatim listing):  Documented
	 \nolastlinelisting and C-l (form feed).

2006-09-25  Oleg Katsitadze  <olegkat@gmail.com>

	* eplain.tex, xeplain.tex (xrdef):  Bug fix--\ignorespaces from
	\definexref was masked off by \endgroup's.

	* test/xkvtest.tex: New file.

2006-08-27  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-08-08  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-07-15  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-06-19  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-06-02  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-05-29  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-05-07  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-05-07  Oleg Katsitadze  <olegkat@gmail.com>

	* eplain.tex, test/contents.tex, xeplain.tex (writenumberedcontentsline):
	New macro.

2006-05-05  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-05-02  Oleg Katsitadze  <olegkat@gmail.com>

	* eplain.tex, test/indexvrb.tex, xeplain.tex:  Simplified
	embedding `{' and `}' into index terms by managing catcodes of
	\idxargopen and \idxargclose internally.  Allow \verbatim inside
	arguments of \indexsee and \indexseealso by reading their
	arguments verbatim and then \scantokens'ing.

	* doc/demo.texi, doc/eplain.info, doc/eplain.pdf, doc/eplain.texi, doc/hlink.texi, doc/userdef.texi:
	Added the lscommnt.tex demo, tweaked some index terms.

	* doc/progdef.texi (Category codes): \makeactive`\\ -> \makeactive\\.

	* doc/userdef.texi (Packages known to work):  Added warnings about
	supp-mis.tex and \pagecolor (pdftex.def).

2006-05-01  Oleg Katsitadze  <olegkat@gmail.com>

	* eplain.ini: New file (used by TeX Live to generate .fmt file).

	* Makefile:  Generate TDS-compliant distro.  Added PDF and HTML to
	the distro.
	(eplain.tex): Updated location of mkdist-merge.

	* doc/Makefile:  Updated location of pdfcrop.pl.  Use `-quality
	75' option to convert to reduce image sizes.  Added lscommnt demo.
	(eplain/index.html): Copy images to eplain/ instead of symlinking.
	(clean, mostlyclean): Don't delete JPEG images, they are in the
	distro.
	(distclean): Don't delete PDF and HTML, they are in the distro.

	* README.TDS: New file (README at the top of the distro tarball).

	* add-date, add-version, fix-checksum, merge, pdfcrop.pl, util/mkdist-add-date, util/mkdist-add-version, util/mkdist-fix-checksum, util/mkdist-merge, util/pdfcrop.pl:
	Moved the support scripts to util/.

	* demo/Makefile, demo/lscommnt.pdf, demo/lscommnt.tex:
	New demo (listings with highlighted comments).

	* test/dvipdfm.tex, test/epstopdf.tex, test/hlcite.tex, test/hlfoot.tex, test/hlidx.mst, test/hlidx.tex, test/hlink.tex, test/hypertex.tex, test/indexvrb.tex, test/pdftex.tex, test/soultest.tex, test/xrefwarn.tex:
	Added `public domain' header.

2006-04-30  Oleg Katsitadze  <olegkat@gmail.com>

	* test/listing.tex: Added test for the \nolastlinelisting hook.
	* xeplain.tex (nolastlinelisting):  New listing hook to omit the
	last (empty) line of the file.

	* xeplain.tex (@removebox):  Preserve \box0 and use it instead of
	the constructed \box2, since the latter does not preserve the
	effect of a possible \hbox to 0pt (produced by, e.g., \llap).

	* test/contents.tex: Test for integer PARTs (\tocentry).
	* xeplain.tex (ifinteger,isinteger):  New macros.
	(writenumberedcontentsentry): When PART argument is an integer,
	write \tocentry{PART}... to the .toc file.

	* test/indexvrb.tex: New file.
	* xeplain.tex:  Indexing macros now read TERM and SUBTERM
	arguments verbatim, to allow catcode changes within the
	arguments.

2006-04-23  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex (hlidx, hlidxpage):  Do not rely on a CS with the
	empty name to be undefined, instead check PAGEENCAP parameter
	explicitly.

2006-04-19  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex (@@href):  Got rid of \@hrefhash, made \hlhash
	equivalent to \@hrefhash.

2006-04-17  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex (hldriver@pdftex, hldriver@dvipdfm):
	Removed spurious spaces in \special's.

2006-04-13  Oleg Katsitadze  <olegkat@gmail.com>

	* eplain.tex, xeplain.tex (href):  New macro.

2006-04-12  Oleg Katsitadze  <olegkat@gmail.com>

	* xeplain.tex (hl@getparam):  Allow special chars (like # and ~)
	in the LABEL argument (for URLs).

	* doc/hlink.texi: Wrapped some long option lists.

	* xeplain.tex:  New \For loop, use it in hyperlink macros instead
	of \for.

2006-04-09  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/hlink.texi: Index terms.

2006-04-09  Karl Berry  <karl@gnu.org>

	* doc/hlink.texi: xref for \hldest.

2006-03-30  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/hlink.texi (URL hyperlinks: url):  Note on automatic link
	coloring.

2006-03-26  Oleg Katsitadze  <olegkat@gmail.com>

	* test/hlidx.tex: Minor formatting.

	* xeplain.tex:  Don't use xrefs for defining index page anchors,
	to avoid messages about redefined xref labels.

	* test/hlfoot.tex: Select `pdftex' driver by default.
	* test/dvipdfm.tex: Update: `dvipdfm' now is not the default driver.

	* xeplain.tex:  Made all user-visible \hl* macros report errors
	until hyperlinks are enabled.

	* eplain.tex, xeplain.tex (@fineqrefn):
	Bugfix: \hlend -> \hlend@impl{eq}.

	* test/xrefwarn.tex: New file.
	* xeplain.tex:  Added warnings about multiply defined xref labels
	(from Tomas Penicka <tom.penicka@centrum.cz>).

2006-03-25  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi (Environment for loading packages):
	More details on \eplaininput.
	* doc/userdef.texi (Packages known to work): \ttfamily.
	* xeplain.tex: Correct definition of \ttfamily.

	* doc/userdef.texi (Packages known to work): epstopdf.sty.
	* test/epstopdf.tex: New file.

	* demo/Makefile (xhyper.pdf): Added prerequisites.
	(maintainer-clean): New rule.
	* demo/xhyper.tex: graphics.sty -> graphicx.sty.

	* doc/hlink.texi, doc/userdef.texi:
	References to the `Demo files' section.

	* doc/hlink.texi, test/hlfoot.tex, xeplain.tex:
	Footnote hyperlinks are now off by default.

	* doc/hlink.texi (URL hyperlinks: url): Older url.sty's do not work.

	* doc/userdef.texi (Environment for loading packages):
	\eplaininput, \packageinput
	* xeplain.tex (\beginpackages): \eplain@input -> \eplaininput.

	* doc/userdef.texi (Packages known to work):
	Older versions of url.sty not working in plain TeX.

2006-03-22  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-03-15  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi: Parenthesized the @pxref refs.

	* doc/userdef.texi: Punctuation.

	* doc/eplain.texi, doc/hlink.texi: Added doc on the hypertex driver.

	* test/hypertex.tex: New file.

	* xeplain.tex:
	More defs for LaTeX: the `draft' option to graphic{s,x}.sty; and
	warnings from epstopdf.sty when graphics.sty is not loaded.

	* xeplain.tex:
	Bugfix: the `nolinks' driver now redefines \hl@setparam so that
	the macros \hldesttype, \hldestopts, \hltype and \hlopts avoid
	error messages about "unknown" options and types.

	* xeplain.tex: Added hypertex driver.

2006-03-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-02-24  Oleg Katsitadze  <olegkat@gmail.com>

	* test/soultest.tex: New file.

2006-02-14  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-01-27  Karl Berry  <karl@gnu.org>

	* doc/texinfo.tex: update from texinfo

2006-01-13  Karl Berry  <karl@gnu.org>

	* doc/.cvsignore: .

	* doc/eplain.texi, ChangeLog, doc/Makefile, doc/eplain.info, doc/eplain.pdf:
	move contents

2006-01-12  Karl Berry  <karl@gnu.org>

	* doc/eplain.texi: move @contents to front; also include
	@shortcontents.
	* doc/Makefile (eplain/index.html): don't try to create links if
		they already exist.
	* doc/.cvsignore: ignore links, etc.
	And upload to lulu ...

2006-01-06  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/progdef.texi (\ifempty): New subsection.

2006-01-05  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/intro.texi: Reference to David Walden's article.

	* INSTALL, doc/install.texi:  Removed info on etex.fmt and emtex.
	Updated recommended installation locations.

	* doc/eplain.texi:  Added variable index (for environment vars in
	install.texi) and redirected program and variable indices into
	concept index.

	* Makefile: Removed etex.tex.
	* etex.tex: Removed.

	* xeplain.tex: Improved hyperlink messages.

	* doc/Makefile: Use texi2dvi --pdf instead of texi2pdf.

	* xeplain.tex (beginpackages):  Save and restore \input to avoid
	redefinition by miniltx.tex and packages (\packageinput stores the
	redefinition).

	* test/usepackage.tex: Added \enablehyperlinks (this test depends
	on hyperlinks being enabled).  Added test for \urldef from
	url.sty.

	* xeplain.tex:  Added \protected@edef for \urldef from url.sty.
	(hldriver@nolinks):  The label argument to \hlstart and \hldest
	must be passed to \write-1 _fully expanded_, otherwise macros that
	the label uses may become redefined/undefined by the time the page
	is shipped out and the \write is executed (this resulted in URLs
	defined with \urldef to fail under the nolinks driver).
	(@generalref):  Use \@generalref@class instead of \temp, since
	\@generalrefoptarg can possibly trash \temp.

2005-12-26  Karl Berry <karl@freefriends.org>

	* doc/texinfo.tex: update from texinfo

2005-12-23  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi: Changed location of ltpictur.pdf.

2005-12-21  Oleg Katsitadze  <olegkat@gmail.com>

	* demo/.cvsignore, demo/ctan_lion_350x350.png, demo/xhyper.pdf:
	Image for the xhyper.tex demo and the output.

	* doc/Makefile:
	Added rules for creating JPG images from the demos (for the html
	docs).

2005-12-20  Oleg Katsitadze  <olegkat@gmail.com>

	* doc/userdef.texi (Contents):  Tell that \writetocentry reads
	\tocfilebasename only once.
	(Tables): Corrected stale link to lifshitz.ph.utexas.edu.
	(Packages known to work): Added link to Klaus Hoeppner's article
	on LaTeX graphics.

	* demo/xhyper.tex:
	Input ../eplain instead of eplain, in case Eplain is not (yet)
	properly installed.

	* doc/Makefile:
	Added _FLAG variables for each program used.  Split targets like
	`pdf eplain.pdf' and made pdf depend on eplain.pdf, etc. (otherwise
	`make pdf' always rebuilds eplain.pdf).  Added rules and dependencies
	for the demo file images.
	(ps): New target.

	* Makefile:
	Added demo subdir.  Changed all calls to Make to use $(MAKE).
	(ps): New target.

	* pdfcrop.pl, demo/Makefile, doc/demo.texi: New files.

	* AUTHORS: Added pdfcrop.pl.

	* demo/xhyper.tex (Top comment):
	\, only works in math mode in plain TeX (unlike in tugboat
	format).

	* doc/hlink.texi (URL hyperlinks):
	Showed how to have colored links instead of boxed links.
	(Footnote hyperlinks): Showed how to turn off footnote hyperlinks.
	(Hyperlink driver nolinks):  Showed the proper way to
	\enablehyperlinks for the dual links/nolinks output.
	(Setting default types and options):  Example of how to turn off
	boxes for the links.

	* doc/eplain.texi: Changed the title.  Included demo.texi.

2005-12-14  Oleg Katsitadze  <olegkat@gmail.com>

	* demo/xhyper.tex: New file.

2005-10-11  Karl Berry <karl@freefriends.org>

	* doc/texinfo.tex: update from texinfo

2005-10-09  Karl Berry <karl@freefriends.org>

	* doc/texinfo.tex: update from texinfo

2005-09-25  Oleg Katsitadze  <geolsoft@mail.ru>

	* Makefile, doc/Makefile: Remove intermediate files from the
	tarball.  NOTE:  It was agreed not to include aux, toc, and index
	files into the tarball, because if the user compiles the manual
	with the command `tex eplain.texi' for a different paper size
	(specified, e.g., in texinfo.cnf), then the references, TOC and
	indexes will be off without the user knowing about it.

2005-09-23  Oleg Katsitadze  <geolsoft@mail.ru>

	* Makefile:
	Added intermediate files (aux, toc, ??, ??s) to MANUALS so that
	they are included in the tarball (later reverted, see above).

	* doc/Makefile:
	(clean): Leave intermediate files (aux, toc, ??, ??s) in tarballs
	so users can easily compile docs (later reverted, see above).
	(distclean): Remove eplain.html.
	(maintainer-clean): Remove the intermediate files.
	(html): Build also --no-split doc.

	* Version 3.0 (released 2005-09-20)

	* Makefile: Added test/*.eps to the list of test files.

2005-09-20  Oleg Katsitadze  <geolsoft@mail.ru>

	* eplain.tex, Makefile, NEWS, doc/eplain.info, doc/eplain.pdf, doc/eplain.texi:
	Version number update.

	* doc/Makefile (info): Added --no-split option.

	* doc/eplain.texi, doc/hlink.texi: New documentation for hyperlinks.

	* doc/userdef.texi:
	Added references to implicit hyperlink subsections.  Punctuation
	corrections by Karl Berry.

	* doc/progdef.texi (Page list and page range parsers): New section.

	* test/example.eps: New file (from PSfrag).

	* test/dvipdfm.tex, test/hlcite.tex, test/hlfoot.tex, test/hlidx.tex, test/hlink.tex, test/pdftex.tex, test/usepackage.tex:
	Updated to the changes.

	* NEWS: Updated for the upcoming release 3.0.

	* eplain.tex, xeplain.tex:
	Added color support for hyperlinks.  Completely reworked hyperlink
	option setting (added \hl[dest]{type,opts}).  Renamed `uri' link
	types to `url'.

2005-09-19  Karl Berry <karl@freefriends.org>

	* AUTHORS: alphabetize

2005-09-15  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/userdef.texi (Environment for loading packages):
	Changed @emph{preamble} to @dfn{preamble}.

	* doc/intro.texi, doc/userdef.texi:
	Replaced a bunch of @w{foo bar} with foo@tie{}bar.

2005-09-11  Oleg Katsitadze  <geolsoft@mail.ru>

	* test/cite.tex, test/xampl.tex: Removed \mbox definitions.

2005-09-07  Karl Berry <karl@freefriends.org>

	* doc/invoke.texi: pxref in parens

2005-09-07  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/invoke.texi:
	Added ifpdf.sty and path.sty to the list of incorporated files.
	Added reference to texi2dvi.

	* doc/userdef.texi (Citations):	(Indexing): Added references to texi2dvi.

2005-09-03  Karl Berry <karl@freefriends.org>

	* doc/invoke.texi: missing punct

2005-08-30  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/userdef.texi:
	Changed paths on CTAN hosts to actual links on www.ctan.org
	(Packages known to work): Added reference to \begin{picture} and
	\end{picture}

	* doc/intro.texi:
	Changed La@TeX{} to @LaTeX{}.  Updated mailing list addresses.

	* doc/arrow.texi: Changed La@TeX{} to @LaTeX{}.

	* doc/eplain.texi, doc/userdef.texi (Equation references):
	Added doc on referring to empty labels.
	(Loading LaTeX packages): New section.

	* test/usepackage.tex: New file.

	* eplain.tex, xeplain.tex: Added \@inmatherr needed by autopict.sty

2005-08-29  Oleg Katsitadze  <geolsoft@mail.ru>

	* eplain.tex, xeplain.tex: Added support for LaTeX packages.

2005-08-25  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/progdef.texi (Category codes):  Corrections to the new doc
	on \makeat{letter,other} (thanks to Karl Berry, as always).

	* doc/progdef.texi, doc/eplain.info, doc/eplain.pdf (Category codes):
	Added doc on \makeatletter and \makeatother.

	* xeplain.tex: Added \makeatletter and \makeatother.

2005-08-23  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/eplain.info, doc/eplain.pdf, doc/progdef.texi (Auxiliary files):
	Added doc on optional arg to \testfileexistence.
	(User-defined environments): Removed spurious indentation.

2005-08-21  Oleg Katsitadze  <geolsoft@mail.ru>

	* README: Added description of util dir.

	* doc/eplain.info, doc/eplain.pdf, doc/userdef.texi (Page
	references):  Updated.
	(Modifying index entries): Updated.
	(Customizing indexing): Added docs on customizing see entries and
	on trimsee.

	* util/trimsee: Added --help and -v|--version options.

	* xeplain.tex, eplain.tex:  Added italics correction to
	\indexsee[also] (thanks to Dan Luecking <luecking@uark.edu>),
	downcased See.

2005-08-20  Oleg Katsitadze  <geolsoft@mail.ru>

	* Makefile: Added util and scripts.

	* util/idxuniq, util/trimsee: New file.

2005-08-19  Karl Berry <karl@freefriends.org>

	* btxmac.tex: simplify license to be like plain.tex

2005-08-18  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/eplain.pdf, doc/eplain.info, doc/eplain.texi, doc/userdef.texi (Equation references):
	Made into section.
	(Checking for pdfTeX...): New section (documents ifpdf.sty).

2005-08-17  Oleg Katsitadze  <geolsoft@mail.ru>

	* Makefile, doc/Makefile: Rearranged.

	* manifest, tarchive: Removed (Makefile now does the packaging).

	* MANIFESTO: Removed.

2005-08-15  Oleg Katsitadze  <geolsoft@mail.ru>

	* eplain.tex, xeplain.tex: Got rid of the homegrown \ifpdf.

	* xeplain.tex, AUTHORS, eplain.tex, manifest, merge:
	Added ifpdf.sty to Eplain.

	* ifpdf.sty: New file.

	* manifest:  Removed intermediate doc/eplain.??s and multiple info
	files.

2005-08-15  Oleg Katsitadze  <geolsoft@mail.ru>,  Karl Berry <karl@freefriends.org>

	* README: Updated; authorship info moved to AUTHORS.

2005-08-15  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/Makefile (distclean):  Do not delete eplain.pdf (it is now
	part of distro).
	(maintainer-clean): Delete eplain.pdf.

	* doc/eplain.kys, doc/eplain.pgs, doc/eplain.tps, doc/eplain.vrs:
	Removed.

	* AUTHORS: New file.

2005-08-15  Karl Berry <karl@freefriends.org>

	* doc/texinfo.tex: update from texinfo

2005-08-15  Oleg Katsitadze  <geolsoft@mail.ru>

	* manifest: Removed doc/*.t2p files (we don't use tex2page anymore).

	* doc/eplain.t2p, doc/btxdoc.t2p, doc/texinfo.t2p:  Removed (we
	don't use tex2page anymore).

	* manifest: Include .mst file(s) from test/ in tarball.

	* test/dvipdfm.tex, test/hlcite.tex, test/hlfoot.tex, test/hlidx.mst, test/hlidx.tex, test/hlink.tex, test/pdftex.tex:
	New test files for hyperlinks.

	* btxmac.tex: Changes required to support hyperlinks in bibliography.

	* xeplain.tex: Added hyperlink support.

2005-08-14  Karl Berry <karl@freefriends.org>

	* doc/.cvsignore, doc/eplain.info: clean

	* doc/Makefile: eplain only

	* doc/arrow.texi, doc/eplain.pdf, doc/eplain.texi, doc/gpl.texi, doc/index.texi, doc/install.texi, doc/intro.texi, doc/invoke.texi, doc/progdef.texi, doc/userdef.texi:
	make most of the manual public domain

2005-08-14  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/userdef.texi (Indexing): dropped reference to ftp.math.utah.edu

2005-08-13  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/eplain.texi Removed pagesize specifications.
	(@menu): Corrected nodes, added detailed node listing for Indexing.

	* doc/userdef.texi (Indexing):  Updated stale link to MakeIndex on
	ftp.math.utah.edu
	(@menu):  Changed tabs to spaces in Indexing node.
	(Indexing): changed references to MakeIndex from @xref to @url

	* doc/Makefile (../INSTALL):  Adjusted sed command to the new
	output from makeinfo (old one resulted in empty ../INSTALL).

	* ChangeLog: Merged with doc/ChangeLog (old doc entries at the bottom).

	* doc/ChangeLog: Removed (merged with ChangeLog).

2005-08-13  Karl Berry <karl@freefriends.org>

	* doc/texinfo.tex: update from texinfo

	* doc/progdef.texi: typo

	* doc/.cvsignore, doc/eplain.cps, doc/eplain.fns, doc/eplain.info-1, doc/eplain.info-2, doc/eplain.info-3, doc/eplain.info-4, doc/texinfo.tex:
	omit intermediate files and delete old info files from repository

2005-08-13  Oleg Katsitadze  <geolsoft@mail.ru>

	* arrow.tex, xeplain.tex: Header update.

	* COPYING: Added GPL v.2 for arrow.tex

	* ChangeLog, MANIFESTO, Makefile, NEWS, PROJECTS, README, add-date, add-version, fix-checksum, merge, tarchive, test/allref.tex, test/boxes.tex, test/boxit.tex, test/catcode.tex, test/center.tex, test/cite.bib, test/cite.tex, test/citeall.tex, test/citealph.tex, test/citeapa.tex, test/citebegin.tex, test/citecust.tex, test/citenote.tex, test/citex.tex, test/colfootn.tex, test/colrule.tex, test/column.tex, test/column2.tex, test/column3.tex, test/commdiags.tex, test/contents.tex, test/displine.tex, test/double.tex, test/double2.tex, test/ecommdiag.tex, test/emergncy.tex, test/env.tex, test/eqdef.tex, test/eqref.tex, test/filexist.tex, test/flynn.tex, test/footnote.tex, test/frac.tex, test/gcol.tex, test/ian.tex, test/index.tex, test/jan.tex, test/justify.tex, test/knuth.bib, test/label.tex, test/latexcite.tex, test/liang.tex, test/list.tex, test/listing.tex, test/logo.tex, test/loop.tex, test/loopnext.tex, test/mag.tex, test/makecol.tex, test/margin.tex, test/matrix.tex, test/mdisplay.tex, test/names.tex, test/noarrow.tex, test/nobib.tex, test/nonouter.tex, test/optional.tex, test/outer.tex, test/page.tex, test/path.tex, test/pcol.tex, test/psfont.map, test/rex.tex, test/rule.tex, test/sidx.tex, test/subdef.tex, test/tenenb.tex, test/tenenb2.tex, test/test.tex, test/time.tex, test/truemarg.tex, test/uscore.bib, test/uscore.tex, test/verb2.tex, test/verbatim.tex, test/vlach.tex, test/whitespc.tex, test/xampl.tex, test/xref.tex:
	Added "public domain" note.

	* test/nagflm.tex, test/nhm.style, test/nhm.tex, test/tables.tex:
	Removed (non-public domain/outdated).

2005-08-12  Karl Berry <karl@freefriends.org>

	* xeplain.tex: header updates

2005-08-12  Oleg Katsitadze  <geolsoft@mail.ru>

	* Makefile (pdf): New target.
	(html): No need for eplain.html, use html instead.
	(info): Bug correction, there is no info dir.
	(btxdoc): New target.

	* 00Description: Removed.

2005-08-12  Karl Berry <karl@freefriends.org>

	* CVSROOT/checkoutlist, CVSROOT/commitinfo, CVSROOT/config, CVSROOT/cvswrappers, CVSROOT/editinfo, CVSROOT/loginfo, CVSROOT/modules, CVSROOT/notify, CVSROOT/rcsinfo, CVSROOT/taginfo, CVSROOT/verifymsg:
	remove dup CVSROOT

2005-08-12  Stepan Kasal <kasal@ucw.cz>

	* xeplain.tex (^^L):  Remove the redefinition.
	(\@setuplisting):  Fix the def in the case that ^^L is not
	active.

	* xeplain.tex (\readcontentsfile):  Do not open toc file for
	writing, to allow multiple contents

2005-08-06  Oleg Katsitadze  <geolsoft@mail.ru>

	* Imported sources into CVS on sarovar.org
	(http://sarovar.org/projects/eplain)

2004-09-05

        * Version 2.8.4

2004-08-31  Oleg Katsitadze <geolsoft@mail.ru>
        
        * xeplain.tex: \indexproofunbox: add \nointerlineskip

        * xeplain.tex: \@idxwrite: Add \allowhyphens when under
        \indexproofing, otherwise `infinitesimal' in
        \sidx{Infinitesimal}infinitesimal won't be hyphenated.

2004-08-31  Stepan Kasal <kasal@ucw.cz>

        * xeplain.tex: \def\endcolumns{\singlecolumn} instead of \let...

        * xeplain.tex: \makecolumns.  Correct calculation of
        items-per-column

2004-07-26  Stepan Kasal <kasal@ucw.cz>, Karl Berry <karl@freefriends.org>

        * Version 2.8.3
        * README:  Fix URL

2004-07-26  Stepan Kasal <kasal@ucw.cz>

        * xeplain.tex (\printitem): Add \nobreak before \vskip-\parskip and
          (implicit) \vskip\parskip, so that a page break cannot appear
          here, between the indexing \write at the start of the item.

2004-02-28
        
        * Version 2.8.2
        * Updated texnames.sty, version 1.10

2003-12-27  Stepan Kasal  <kasal@ucw.cz>

	* xeplain.tex (\@column): Make sure there is enough space before
	  we start columned output.
	  (\@col@minlines, \@ejectpartialpenalty): New constants.
	  (\@columnhsize): Removed.
	  (\@setuplisting, \@endcolumns): Use \break instead of \eject,
	  when we are sure TeX is in vertical mode.

Tue Jul 15 xx:xx:xx 2003 Dorai Sitaram <dorai @ ccs.neu.edu>

        * \setpropertyglobal, from 
        Oleg Katsitadze <geolsoft @sdf.lonestar.org>

Mon Jan 30 xx:xx:xx 2001 Dorai Sitaram <ds26@gte.com>

        * packaged for CTAN

Sat Nov 11 20:00:00 2000 Dorai Sitaram <ds26@gte.com>

        * Version 2.8.1

        * \leftdisplays was not allowing pagebreaks
        inside \eqalignno.  Bug reported by Ludger Hentschel 
        <hentschel@simon.rochester.edu>.  Fixed by 
        Donald Arsenau <ASND@erich.triumf.ca>.

        * doc/btxdoc.bib included alongside doc/btxdoc.tex

Sat Sep 2 13:20:00 2000 Dorai Sitaram <ds26@gte.com>

        * Version 2.8 

Sun May 7 09:40:00 2000 Dorai Sitaram <ds26@gte.com>

        * Fixed problem where Eplain's redefinition of \iterate
        was causing nameclash of \next in a TeXdraw macro.
        Suggested by TeXdraw author Peter Kabal
        <kabal@ece.mcgill.ca>.        

Sat Apr 9 00:17:00 2000 Adam Lewenberg <adam@macrotex.net>

        * xeplain.tex: Fixed problem introduced when double column uneven 
	bug was `fixed'. 

Sun Apr 25 22:30:00 1999 Adam Lewenberg <ahl@uakron.edu>

        * doc/progdef.texi: Added a section on user-defined environments
	to progdef.texi and fixed a few typos in documentation. Suggested
	by Paul Abrahams.  
	
Thu May 14 11:30:00 1998  Adam Lewenberg <ahl@uakron.edu>

        * xeplain.tex: Changed \columnfill after suggestion of 
        Helmut Jarausch <jarausch@IGPM.Rwth-Aachen.DE>. 
       
Wed Dec 5 09:10:00 1997  Adam Lewenberg <adam@math.uiuc.edu>

        * Version 2.7.

        * xeplain.tex: Added the control sequence \gutterbox as a hook
        to add arbitrary vertical material between columns in
        multi-column mode. 
       
Wed Mar 26 07:17:00 1997  Adam Lewenberg <adam@math.uiuc.edu>

        * xeplain.tex: Moved an \obeywhitespace to the end of the
        definition of \verbatim to remove spurious space.
        Suggested by Dorai Sitaram. 

Wed Jan 28 08:00:00 1997  Adam Lewenberg <adam@math.uiuc.edu>

        * xeplain.tex: Added \def\@emptymarkA{\@emptymarkB} so that
        \ifempty\undefined is false. Suggested by Stanislav Brabec. 

Sat Oct 5 18:11:00 1996  Adam Lewenberg <adam@math.uiuc.edu>

        * xeplain.tex: Changed a line in the definition of \@fineqdefn
        to remove a \noexpand which seemed to be causing a problem
        with \eqdef. 

Tue Sep 24 10:25:00 1996  Adam Lewenberg <adam@math.uiuc.edu>

        * xeplain.tex: Added some code to multiple columns so that
        when switching from multi- to single-columns the last line or
        so does not get lost. Let's hope it works; added a \newif. 

Wed Apr 1 10:11:00 1996  Adam Lewenberg <adam@math.uiuc.edu>

        * arrow.tex: changed \smash to \smash@@ (a synonym for plain's 
        smash) so that arrow.tex works with amstex.
	
        * xeplain.tex: Put a test at the start so that eplain.tex is loaded
        only once.
	
	* xeplain.tex: changed -1in to -1truein in margin macros; 
	Macros affected:
  	    \@finishtopmargin
	    \@finishleftmargin
	    \@computebottommargin
	    \@computerightmargin
	    \indexsetmargins.
	Also, initialize \paperheight to 11truein and \paperwidth to
        8.5truein when \mag is not 1000.

        These changes forced a redefinition of \magnification in the event
        that \magnification is called AFTER eplain.tex is \input (in
        particular, when \magnification is used with an eplain .fmt). 

        * xeplain.tex: changed {toc} to {#1} in the definition of 
	\readcontentsfile to allow more general use. 

        * merge: the merge script improperly replaced "xeplain" by "eplain"
        in too many places.
	
Mon Nov 13 14:14:28 1995  Karl Berry  <karl@cs.umb.edu>

        * btxmac.tex: Update for Oren's new 0.99k.

Tue Mar 14 11:36:55 1995  Karl Berry  <karl@cs.umb.edu>

        * xeplain.tex: Doc fix.

Sat Apr 30 05:58:31 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.6.

        * xeplain.tex (toc commands): Rewrite to allow general toc's.

        * xeplain.tex: Include indexing commands.

Sun Apr 24 14:59:59 1994  Kathy Hargreaves  (karl@cs.umb.edu)

        * xeplain.tex (\eqalignno): put \hfil back in (from plain) front of
        first \@align, so lhs will be right justified.

Fri Apr 15 17:46:39 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * merge: Split arrow into pre- and post-catcode changes.
        * xeplain.tex: Read both parts.

Wed Mar 30 14:34:52 1994  Karl Berry  (karl@ra.cs.umb.edu)

	* xeplain.tex: Globally replace \dimen0 with \dimen@, why not.

Wed Mar 30 13:19:59 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.5.

        * xeplain.tex (\@makeverbatimdoubleescape): New macro from
        dorai@cs.rice.edu.
        (\verbatimescapechar): Call it.

Mon Mar 28 11:09:03 1994  Karl Berry  (karl@cs.umb.edu)

        * xeplain.tex (\@maybewarnref): Call \ref at the end.

Tue Mar 22 10:48:01 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.4.

Tue Mar 15 12:01:57 1994  Karl Berry  (karl@cs.umb.edu)

        * xeplain.tex (\@maybewarnref): New macro.
        (\ref): Define to that initially.
        (\eplainref): Name the real definition this.

Sat Mar 12 15:32:32 1994  Karl Berry  (karl@cs.umb.edu)

        * xeplain.tex (\@columnsplit): Omit doing the looping; it causes
        strange column splits on my index tests.

Tue Mar  8 10:59:31 1994  Karl Berry  (karl@cs.umb.edu)

        * xeplain.tex (\@columns): Correct for one too many gutters.

Sat Mar  5 15:16:47 1994  Karl Berry  (karl@cs.umb.edu)

        * xeplain.tex (\@numcolumns): Remove \newcount in favor of a \chardef.
        (\columnfill): New macro.

Thu Mar  3 14:31:16 1994  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\@oldandcode, \@plainnew{if,dimen}): New control
	sequences, so we can read arrow.tex conditionally a la bibtex.

	* xeplain.tex (\@oldatcatcode): Rename to \@eplainoldatcode, so
	btxmac and arrow's redefinitions don't affect us.

Sat May 22 11:24:31 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Run gzip -9.

Sun Apr 11 15:19:18 1993  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\@eqdefn): \@definelabel after the \definexref.

	* xeplain.tex (\xrlabel): Append an `x' after the _.

Mon Mar 15 08:42:49 1993  Karl Berry  (karl@cs.umb.edu)

	* btxmac.tex (\@readbblfile): Let our default \end be \@gobble.

	* btxmac.tex (\@readbblfile): Don't define \begin and \end if
	\begin is already defined.

	* btxmac.tex (\@onecitation): Call \@printcitelabel.
        (\@printcitelabel): New macro.

Mon Mar  1 06:26:46 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 2.3.

Tue Feb 23 16:52:49 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile.in (dist): Copy info files to my local info directory.

Sun Feb 21 11:07:38 1993  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\definexref, \ref, etc.): New macros.
        (\@eqdefn, \writeitemxref, \xrdef): Use \definexref.

	* xeplain.tex (\{set,get}property): New macros from generic.

	* xeplain.tex (\tokstostring): This is no longer defined.

Sat Feb 20 08:07:12 1993  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\hook{append,prepend,action,actiononce,run}): New
	macros.

	* xeplain.tex (\expandifdefined): Remove.

	* Makefile (default): Change default to `eplain.tex'.

	* xeplain.tex (\toks@ii): New definition.

Fri Feb  5 08:07:21 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile (dist, eplain.tex): Pass version explicitly.

Sun Jan 17 14:08:14 1993  Karl Berry  (karl@cs.umb.edu)

	* Makefile (dist): Copy add-version.

Sun Dec 27 17:00:59 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\csn, \ece): New macros.

Fri Dec 18 10:11:33 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\expandifdefined): New macro.

Sun Nov 22 12:03:13 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\ifempty, \@@ifempty): Restore from an old btxmac,
	as some people were using them.

Wed Nov 18 11:15:16 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex: Doc fix.

Thu Nov 12 17:52:24 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\if@leftdisplays): New conditional.
        (\{left,centered}displays): Set it and test it appropriately.

	* xeplain.tex (\displaysetup): Rename to \leftdisplaysetup.

	* xeplain.tex (\centereddisplays): Don't set \displaysetup to
	\relax, just go back to the \previouseverydisplay.

Wed Nov 11 07:08:18 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 2.2.

Mon Nov  9 09:50:43 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\{,end}orderedlist): Synonyms for \{,end}numberedlist.

Fri Nov  6 15:19:03 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\@removebox): Don't use \lastbox unless we're in
	horizontal mode.
        ( ): \let to `\ ', instead of \def.

Mon Oct 19 09:10:56 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\boxit): Define to be \long.

Fri Oct  9 10:19:05 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex (\everylist): New toks register.
        (\beginlist): Expand it.

Thu Oct  8 17:42:33 1992  Karl Berry  (karl@cs.umb.edu)

	* Makefile (topfiles): Add `NEWS'.

	* xeplain.tex (\footnoterulewidth): Define as 2in, not 2true in.
	Why did Knuth do this?

Fri Oct  2 11:48:26 1992  Karl Berry  (karl@cs.umb.edu)

	* xeplain.tex: doc fix.

Sat Sep 19 17:32:44 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\xrlabel): set the catcode of _ to 8 before the
          definition, to protect ourselves.  (From adam@symcom.math.uiuc.edu)

Tue Aug 25 12:06:50 1992  Karl Berry  (karl@hayley)

        * xeplain.tex: save and restore the catcode of @ as we do with
          btxmac.tex.

Tue Aug 11 07:54:52 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\fmtversion): use `23 April 1964' style instead of
          Unix-y timestamp style.

Sat Aug  8 12:04:29 1992  Karl Berry  (karl@hayley)

        * Makefile (eplain.tex): depend on Makefile.

Fri Aug  7 14:43:22 1992  Karl Berry  (karl@Prometheus)

        * xeplain.tex (\displayhook): remove this \newtoks.
        (\leftdisplays): don't insert it into \everydisplay.

Fri Jul 31 17:00:23 1992  Karl Berry  (karl@hayley)

        * Makefile (topfiles): use *.sty, not just texnames.sty.

Sat Jul 25 17:23:10 1992  Karl Berry  (karl@hayley)

        * path.sty: new version (with Phil's blessing).  Changes recorded
          in the file itself.

Fri Jun 19 09:17:04 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\@lefteqalignnonoalign): use \parindent=0pt instead
          of \noindent to lose the indentation.

Thu Jun 11 09:13:14 1992  Karl Berry  (karl@hayley)

        * arrow.tex: new version from Steven, changes only the license.

Fri May 29 08:46:35 1992  Karl Berry  (karl@hayley)

        * Makefile (dist): include add-date.

        * merge: include path.sty.
        * xeplain.tex: leave marker.
        * Makefile (eplain.tex): depend on path.sty.

Mon May 25 11:16:15 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\writenumberedtocentry): only expand the ``number''
          once, via \expandafter and \the\toks.

Thu May 21 09:11:05 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\verbatim, \endverbatim): do not begin and end with
          \par.

Sat May 16 11:26:19 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\makeblankbox): assign to \errhelp before the
          \errmessage. 

Sat May  9 06:42:57 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\writenumberedtocentry): \edef the extra number, so
          \the<register> gets expanded.

Wed May  6 15:46:52 1992  Karl Berry  (karl@hayley)

        * Makefile (realclean): separate from distclean, and remove INSTALL.

Tue May  5 11:25:44 1992  Karl Berry  (karl@hayley)

        * Makefile (install): install eplain.tex.

Tue Apr 28 08:28:29 1992  Karl Berry  (karl@hayley)

        * Makefile (distclean): new target.

Sun Apr 19 08:18:22 1992  Karl Berry  (karl@hayley)

        * xeplain.tex (\expandonce): new macro from generic.

        * xeplain.tex (\@setuplisting): set \parskip = 0pt.

        * xeplain.tex (\@setuplisting): use `\listingfont' instead of \tt.
        (\listingfont): new macro.

Thu Apr  9 09:27:25 1992  Karl Berry  (karl@hayley)

        * Makefile: use $(MAKE) to do submakes.

Tue Mar 31 14:10:45 1992  Karl Berry  (karl at hayley)

        * xeplain.tex (\boxit): use \ehrule and \evrule.

Wed Mar 25 09:27:51 1992  Karl Berry  (karl at hayley)

        * Version 2.1.

        * xeplain.tex (^^I): don't do \tt while defining this, as we might
          not have any fonts yet.

Sun Mar 15 06:58:33 1992  Karl Berry  (karl at hayley)

        * Makefile: general cleanup.

        * btxmac.tex: version 0.99j, from Oren.

Thu Mar  5 13:53:06 1992  Karl Berry  (karl at claude.cs.umb.edu)

        * Version 2.0.

        * New btxmac.tex from Oren.
        
        * doc/eplain.texinfo: replace GPL.

Mon Feb 17 14:19:27 1992  Karl Berry  (karl at hayley)

        * btxmac.tex (\newcommand): use \@getoptionalarg.
        (\@continuenewcommand): rewrite accordingly.
        (\@newcommandwithargs): delete.
        (\bibitem, \@bibitem): likewise.

        * btxmac.tex (\biblabelprint): use \p{re,ost}biblabelcontents
          instead of hardwiring the \hss.
        (\@readbblfile): in \@alphabibitem and \@numberedbibitem, define
          the appropriate one to \hss to do the justification.

        * btxmac.tex (\@readauxfile): improve comments.

        * btxmac.tex (\biblabelprint): \kern\biblabelextrahang, instead of
          \enspace.
        (\@readbblfile): change comment at \biblabelextrahang.

Fri Feb  7 08:11:07 1992  Karl Berry  (karl at hayley)

        * eplain.texinfo (Cross-references): bring the list of valid chars
          in references up-to-date.

Wed Feb  5 12:05:09 1992  Karl Berry  (karl at hayley)

        * xeplain.tex: remove spurious spaces from ends of definitions.

        * xeplain.tex: marker for arrow.tex.
        * merge: include arrow.tex in eplain.tex.
        * arrow.tex: new file.

Mon Jan 27 06:22:43 1992  Karl Berry  (karl at hayley)

        * xeplain.tex (*printmarker): use \listmarkerspace instead of
          \enspace.
        * eplain.texinfo (List formatting): document this.

        * xeplain.tex (\linenumberedlisting, \printlistinglineno): new
          macros, from FABROADI@CUGSBVM.BITNET.
        * eplain.texinfo (Verbatim listing): document them.

        * eplain.texinfo (Verbatim listing): document it.
        * xeplain.tex (\verbatim): new macro, mostly from
          beebe@math.utah.edu, to do inline verbatim mode.

        * eplain.texinfo (Footnotes): say that the space above the rule
          and below the text is \skip\footins.

        * xeplain.tex (\center, \flush{left,right}): define with \gdef;
          remove the \globaldefs = 1.

        * eplain.texinfo (Logos): add some more.
        * xeplain.tex: include texnames.sty.

Thu Jan 23 08:35:43 1992  Karl Berry  (karl at hayley)

        * xeplain.tex (\writenumberedtocentry): \sanitize the section
          number (arg#3), in case it happens to have weird control
          sequences in it (e.g., if it's an author's name instead of a
          number).

Wed Jan 15 10:52:32 1992  Karl Berry  (karl at hayley)

        * eplain.texinfo (Citations): document \bblfilebasename.

        * eplain.texinfo (Contents): document this.
        * xeplain.tex (\readtocfile, \opentocfile): use \tocfilebasename.
        (\tocfilebasename): defaults to \jobname.

Fri Dec 27 11:07:41 1991  Karl Berry  (karl at Prometheus)

        * btxmac.tex (\@getoptionalarg): set \@optionalnext to \relax
          before using it as the arg to \@futurenonspacelet.

Sat Dec  7 07:23:14 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqnofontfam): remove this.  What was I thinking of?

Fri Dec  6 12:57:16 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqnofontfam): change from \mit to \rm.
        (\eqprint): enclose the font change in a group.

        * xeplain.tex (\displaysetup): subtract \leftskip from
          \displaywidth (on the umpteenth alternation here); also, don't
          \hskip by \displaywidth after advancing by the extra parameters.
          Instead, use a temporary.  (Otherwise, we would \hskip by too much.)

Mon Nov 18 06:57:33 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqprint): call \eqnofontfam first.
        (\eqnofontfam): define to be \mit.

        * xeplain.tex (\leftdisplays): decrease \hsize, so \noalign in
          \eqalignno doesn't produce an overfull box.
        (\eqalignno in \redefinealignmentdisplays): set \noalign to a new
          definition.
        (\@primitivenoalign): new synonym.
        (\@lefteqalignnonoalign): new macro.

        * btxmac.tex (\bibliography): do \nobreak before reading the bbl file.

Mon Oct 28 10:01:39 1991  Karl Berry  (karl at hayley)

        * btxmac.tex (\@readbblfile): correct test for \@itemnum being
          defined.

        * xeplain.tex (\@eateol): if there's text on the line with the
          justify command, do the right thing.
        * eplain.texinfo (Justification): document these changes.

        * xeplain.tex (\@finjustifyreturn): new macro to test for two
          ^^M's in justified environments.  If we find this, insert
          \blanklineskipamount glue.
        (\beforejustify): set up ^^M to call this; set up \@eateol.
        (\flushleft, \flushright, \center): define \@eolaction instead of
          defining ^^M directly; ditto for \@eateol.

Sun Oct  6 12:02:46 1991  Karl Berry  (karl at hayley)

        * btxmac.tex (\@readbblfile): don't define \@itemnum if it's
          already defined.

Fri Oct  4 14:34:58 1991  Karl Berry  (karl at hayley)

        * btxmac.tex (\bblfilebasename): new macro, defaults to \jobname.
        (\bibliography, \@readbblfile): use it.

Sat Sep 28 11:46:10 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\unorderedprintmarker): new macro.
        (\unorderedlist): set \printmarker to it.
        (\writeitemxref): new macro, the xref-defining part from \@finli.

        * xeplain.tex (\leftdisplays): don't save and restore \eqalign,
          since we don't change it in \@redefinealignmentdisplays.

Fri Sep 27 09:45:17 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\displaysetup): no, take \leftskip into account
          after all.  What's going on?

Tue Sep 24 07:10:23 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\displaysetup): don't advance \displayindent by
          \leftskip, since TeX already does.

        * btxmac.tex (\nexttoken): rename to \@nexttoken.

Fri Sep 20 10:45:23 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\displaysetup): don't subtract \leftskip when computing
          \displaywidth; TeX already does that.

        * xeplain.tex (\@finli): don't call \xrlabel on the arg to
          \definexref; advance \itemromannumeral.

Thu Sep 19 16:12:14 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\xrefn): remove spurious braces from warning.

        * eplain.texinfo (Lists): document this.
        * xeplain.tex (\{print,}itemromannumeral): new macros.
        (\numberedmarker): use roman numerals for depth 3.

Tue Sep 17 06:30:25 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\xrefn): remove calls to \tokstostring; \csname
          works just as well.
        * btxmac.tex (\@readauxfile): don't call \@setletters; only reset @.
        (\@tokstostring): remove.
        (\@cite...): remove calls to \@tokstostring

        * xeplain.tex (\@finli): define the item cross-reference label, as
          well as write it out; no, don't, the value might be a page number.

        * xeplain.tex (\xrlabel): remove assignments, so it becomes
          expandable.  (This means control sequences are no longer allowed
          in labels.)  Change callers.

Mon Sep 16 15:17:09 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqdefn): don't call \eqconstruct if we're given an
          optional argument.

Sun Sep 15 17:19:33 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo (Lists): document this.
        * xeplain.tex (\beginlist): set \itemnumber=1; remove from \...list.
        (\li): remove from the \...list macros and only
          define once; allow an optional arg as a cross-reference label.
        (\item{number,letter}out): rename to \print...; change caller.
        (\printmarker): new macro to output the actual item marker.

Sat Sep 14 15:55:39 1991  Karl Berry  (karl at hayley)

        * btxmac.tex (\@getoptionalarg): use \@futurenonspacelet.
        (\@futurenonspacelet): move from xeplain.tex.
        * eplain.texinfo (Macro arguments): document this.

Mon Sep  9 10:25:51 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\@redefinealignmentdisplays): add another \hfil
          outside math mode to the template for \displaylines.

Sun Sep  8 06:31:50 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqdef): call \eqconstruct here.
        (\eq@eqdefn): not here.

        * eplain.texinfo: document all this.

        * xeplain.tex (\beginlist): do the \abovelistskip first.

        * xeplain.tex (\{v,h}penalty): new macros.

        * xeplain.tex (\{above,below}listskipamount,
          \interitemskipamount): rename from ...skip.
        (\{above,below}listpenalty, \interitempenalty): new count
          registers.
        (\{above,below}listskip, \interitemskip): macros which skip by the
          register and include the \...penalty.

Sat Sep  7 07:29:12 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\gtracingoff, \gloggingall): new macros.
        * eplain.texinfo (Diagnostics): document them.

Fri Sep  6 13:40:11 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo (Diagnostics): new command \tracingoff.
        * xeplain.tex (\tracingoff): define it.

Thu Sep  5 10:19:49 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo (Tables): replace reference to INRSTeX, which
          seems not to exist, with one to ruled.tex, available on ymir.

Sun Sep  1 14:53:38 1991  Karl Berry  (karl at hayley)

        * xeplain.tex: change header comment.

Thu Aug 29 16:01:43 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo (Formatting equation references): document
          \eqconstruct.
        * eplain.texinfo (Macro arguments): document \identity.

        * xeplain.tex (\identity): new definition.
        (\eqconstruct): new macro \let = \identity.
        (\@eqdefn): call \eqconstruct to produce the final cross-reference
         text.

        * eplain.texinfo (Index): rename to `Concept index'.

        * eplain.texinfo (Top): include version number.

Sat Aug 24 07:09:23 1991  Karl Berry  (karl at hayley)

        * Makefile (dist): make a doc subdirectory in the distribution.
        (dos): don't distribute all the test files.

        * Makefile (install): install the info files.
        (infodir): new variable.

Fri Aug 23 11:48:40 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqsubdefn): expand \@currenteqlabel before
          defining it.

        * xeplain.tex (\xrlabel): use 95 instead of `\_, so \edef doesn't
          break quite so badly.

Thu Aug 22 14:42:45 1991  Karl Berry  (karl at ra.cs.umb.edu)

        * xeplain.tex (\@eqdef): new command for both \eqdef and \eqsubdef
          to call.
        (\eqrefn): new command to do what \eqref does, except omits the
         call to \eqprint.
        (\eqref): call \eqrefn.
        (\eqdefn): allow an optional argument to specify the text of the
         label, instead of always using numbers.
        (\@currenteqlabel): defined by \eqdefn to be the last defined
         label.
        (\eqsubdefn): use \eqrefn of \@currenteqlabel to define the text
         for the subequation label.
        (\@eqdef): use \eqref to generate the printed material, instead of
         writing the numbers.

        * xeplain.tex (\xrlabel): remove grouping; use \count@ to save
          \escapechar instead.  Also, use \temp instead of \tts.
        (\xrdef, \@eqdefn): remove grouping.

        * btxmac.tex (\cite): do \printcitestart before \@nocite.

        * merge: don't use /bin/date.

Fri Aug 16 08:06:26 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo: fix node pointers.

Wed Aug 14 14:53:10 1991  Karl Berry  (karl at hayley)

        * Makefile (etex.fmt): rm -f etex.aux before creating it.
        (merge): assume fix-checksum is in PATH.

Mon Aug 12 19:42:07 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo (Formatting displays): remove the stuff about
          \generaldisplay, since that's gone.

        * xeplain.tex (\eqsubdefn): new macro to define subequations.
        (\eqsubdef): its companion.
        (\eqsubreftext): macro to produce the text of such a reference.
        (\@eqdefn): new subroutine for \eqsubdefn and \eqdefn.
        (\subeqnumber): new count register.
        * eplain.texinfo (Subequation references): new subsection to
          describe all this.

Mon Aug  5 07:08:55 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\eattoken): use a private control sequence for
          eating, to avoid conflicts.
        (\@eattoken): \let = \relax.

Sat Jul 20 06:39:48 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo (Copying): replace with version 2 of the GPL.

        * eplain.texinfo (Local variables): remove this, since it's
          standard now.

Mon Jul  8 05:46:57 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\leftdisplays): new implementation.

        * xeplain.tex (\eattoken): new macro.
        * eplain.texinfo (Macro arguments): document it.

Sun Jun 23 11:13:42 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\ifundefined): new macro.

        * xeplain.tex (\blackbox): add \relax at the end.

        * xeplain.tex (\BibTeX): use \TeX.
        (\MF): use \rm instead of \tenrm.

        * merge: automatically figure out the date, and version, and loop
          on the checksum.
        * xeplain.tex (\fmtversion): don't include real version numbers,
          dates, or the checksum.

        * xeplain.tex (\environment): define \@groupname with \edef
          instead of \def.

Sat Jun 22 08:23:05 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\@isolatedendenvironmenthelp): improve this message.

Fri May 31 06:19:40 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo: do @finalout, to prevent overfull boxes.

Sun May 19 07:01:12 1991  Karl Berry  (karl at hayley)

        * citecust.tex: define the \scriptfont for \ttfam, so that
          undefined references work properly  (found by
          jxp@ccadfa.cc.adfa.oz.au).

Wed May 15 06:52:20 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\writetocentry): pass in an empty arg to
          \writenumberedtocentry, not \empty, so the \ifx works right
          (found by Paul).

Wed May  8 17:04:32 1991  Karl Berry  (karl at hayley)

        * Makefile (dos): put texinfo.tex in the DOS distribution.

Tue May  7 12:19:24 1991  Karl Berry  (karl at ra.cs.umb.edu)

        * xeplain.tex (\xrefwarningfalse): forgot a \ in front of the \let
          (found by Paul).

Mon May  6 11:01:07 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\AMS): new macro from \AMSTeX.
        (\AMSTeX): use it.
        (\AMSLaTeX): new macro.
        * eplain.texinfo (logos): document \AMSLaTeX.

        * xeplain.tex (\today): new macro.
        * eplain.texinfo (Time of day): document it.

Fri Apr 26 08:29:08 1991  Karl Berry  (karl at hayley)

        * Makefile (dos): rename INSTALL, remove ORIG.

        * Version 1.9.

        * Makefile (clean): remove the .??O files that texi2dvi creates.
        (eplain.dvi): use texi2dvi.
        
        * Makefile (dist): create the file `INSTALL' after making the info
          files.

        * eplain.texinfo (Installation): bring up to date.
        * README: likewise.

        * btxmac.tex: final (for now) version.

Mon Apr 22 09:53:53 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\@writeeqdef, \@writexrdef): we don't need a
          \percentchar at the end of the lines we write anymore, since
          btxmac.tex does \endlinechar = -1 before reading the aux file.

        * allref.tex: new test file to test all kinds of reference
          simultaneously.

Mon Apr 15 09:15:51 1991  Karl Berry  (karl at hayley)

        * eplain.texinfo (Installation): describe \noauxfile.

        * xeplain.tex (\singlecolumn): document (somewhat) better.

        * btxmac.tex: new version from Oren.

Sun Apr  7 14:54:05 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\boxit, \boxitspace): new macros from the TeXbook.
        * eplain.texinfo (Boxes): document it.

        * xeplain.tex (\hidevrule): remove a spurious space.

        * xeplain.tex (\lbracechar, \rbracechar): new definitions.
        * eplain.texinfo (Category codes): document them.

Fri Mar 29 17:13:46 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\makecolumns): set the \hsize inside each entry.
        (\currentcolumn): new register.

        * xeplain.tex (\hidehrule, \hidevrule): comment these; remove a
          group from \hidevrule.

Tue Mar 26 12:20:35 1991  Karl Berry  (karl at ra.cs.umb.edu)

        * xeplain.tex (\linenumber): \let = \@linenumber.

Mon Mar 25 05:52:27 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\writenumberedtocentry): don't test #3 with an
          \ifx; define it in a control sequence first.

Mon Mar 11 08:56:43 1991  Karl Berry  (karl at hayley)

        * Version 1.8.

        * xeplain.tex (\environment, \endenvironment): don't ignore spaces
          at the end.

        * xeplain.tex (\@undefinedmessage): don't define it if it's
          already defined.

        * xeplain.tex (\everyjob): expand the old \everyjob.

Fri Mar  8 08:03:50 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\writenumberedtocentry): \ignorespaces after the
          \fi, not before (found by abrahams@mts.cc.wayne.edu).

Tue Mar  5 08:33:16 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\makeblankbox): give an error message if \box0 is
          void.
        (\@makeblankboxhelp): new control sequence with help for the error
          message.

Mon Mar  4 07:10:10 1991  Karl Berry  (karl at hayley)

        * btxmac.tex (\linenumber): define this, and use it in the
          undefined citation message.
        * xeplain.tex: use \linenumber in the undefined messages.

        * xeplain.tex: change all \undefined's to \@undefined's.

Sun Mar  3 07:43:11 1991  Karl Berry  (karl at hayley)

        * xeplain.tex: put the BibTeX definitions in a token register;
          expand it if \nobibtex is undefined.

Fri Mar  1 16:00:38 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\@redefinealignmentdisplays): Make \displaylines
          redefine \eqprint, so the equation number still comes out on the
          right.

        * Makefile (etex.fmt): cp /dev/null onto etex.aux, don't just
          touch it.

        * xeplain.tex (\if@nobibtex): remove this; just test
          \ifx\nobibtex\@undefined instead.

        * btxmac.tex (\@innernewdimen): define this.
        (\if@notfirstcitation, \biblabelwidth, \biblabelextrahang,
         \@numparams): define using \@inner..., since we include all of
         btxmac.tex in an \if ... \fi construction in eplain.tex now.

Wed Feb 27 08:02:24 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\@ddisplaytest): this time really remove the
          trailing spaces; I didn't test it properly before.

        * eplain.texinfo (Justification): remark that setting the
          linespacing values inside \center et al. is useless.

Sat Feb 23 08:42:12 1991  Karl Berry  (karl at hayley)

        * xeplain.toc (\opentocfile): make the \@tocfileopenedtrue be
          \global (from Paul).

        * xeplain.tex (\fullmonthname): new macro.
        * eplain.texinfo (Time of day): document it.

Fri Feb 22 15:11:14 1991  Karl Berry  (karl at hayley)

        * eqref.tex: say that the output of the \displaylines test should
          look bad.

        * xeplain.tex (\@displaytest, \@ldisplaytest): use \noexpand on
          the argument, to prevent obscure errors (that might never
          actually occur, I'm not sure).

        * xeplain.tex (\@ddisplaytest): remove trailing spaces and/or
          surrounding braces from the argument to \eqdef (from
          jxp@ccadfa.cc.adfa.oz.au).
        (\@removetrailingspaces): new macro.

Sat Feb  2 09:25:30 1991  Karl Berry  (karl at hayley)

        * fileexist.tex: new file to test the various possibilities.

        * btxmac.tex (\@testfileexistence): allow an optional argument
          specifying the root name of the file.
        (\@finishtestfileexistence): new macro.

        * merge: merge all of btxmac into eplain.tex.
        * xeplain.tex: rearrange slightly to accommodate this.

Fri Jan 25 11:34:09 1991  Karl Berry  (karl at hayley)

        * Version 1.7 (released for ASI only).

        * Makefile (dist): automatically include btxdoc.tex and
          texinfo.tex in the distribution.

        * Makefile (etex.fmt): don't print all the stupid \font... lines.

        * contents.tex: make a subsection include \cos, to test the
          non-expansion.
        * xeplain.tex (\sanitize, \gobblemeaning): new macros from a
          TUGboat article by Ron Whitney.
        (\writenumberedtocentry, \writetocentry): do not expand the text
          of the heading.
        * eplain.texinfo (Contents): say that the title text is not
          expanded.

Thu Jan  3 09:07:05 1991  Karl Berry  (karl at hayley)

        * xeplain.tex (\beginlist): don't set \parskip = 0pt, in case
          \parindent is zero.
        (\printitem): do \vskip-\parskip, so we don't get extra space if
          \parskip is nonzero.

        * list.tex: test a multiple-paragraph list item with \parindent=0
          and \parskip nonzero.

Mon Dec 17 12:57:41 1990  Karl Berry  (karl at hayley)

        * xeplain.tex (` ' in \obeywhitespace): define to be `\ ' using
          \def instead of \let, to allow redefinition.

Wed Dec 12 14:34:28 1990  Karl Berry  (karl at aten)

        * Version 1.6.

        * eplain.texinfo (Formatting bibliographies): \biblabelextrahang
          and \parskip must be set inside \bblhook.

        * Makefile (etex.fmt): make sure etex.aux exists.

Mon Dec 10 16:09:30 1990  Karl Berry  (karl at aten)

        * eplain.texinfo (Formatting bibliographies): describe
          \biblabelextrahang and \bblsc.

        * xref.tex: don't unconditionally input eplain.tex.

        * xeplain.tex: don't set \@citewarningtrue after all; that makes
          it so we always warn about labels.
        * btxmac.tex (\@readauxfile): set \@citewarningtrue if there was
          an aux file, so that we get warned about undefined references
          when we make a format file.

        * xeplain.tex: remove misplaced comment.

Sun Dec  9 07:52:52 1990  Karl Berry  (karl at hayley)

        * xeplain.tex (\blanklineskipamount, \@finishobeyedreturn): new
          definitions to generalize the handling of blank lines in
          \obeywhitespace.
        * eplain.texinfo (Obeying spaces): document this.

        * xeplain.tex (\obeywhitespace): use `\ ' instead of
          `\alwaysspace', and remove the latter.
        * eplain.texinfo (Obeying spaces): remove reference to \alwaysspace.

        * xeplain.tex: set \@citewarningtrue after reading the stuff from
          btxmac, so that we get undefined label messages when we use a
          format file.

Sat Dec  1 07:44:52 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo (Installation): refer to `\fmtversion', not
          `\eplainversion'.

        * btxmac.tex (\@getoptionalarg): new macro.
        * xeplain.tex (\getoptionalarg): \let = to above.
        * eplain.texinfo (Macro arguments): document it.

        * xeplain.tex (\futurenonspacelet): new macro from the TeXbook.
        * eplain.texinfo: document it.

        * btxmac.tex (\@setletters): only check characters with codes
          below 128 if we are the old TeX.

        * xeplain.tex (\@ddisplaytest): omit extra braces around the call
          to \eqdef.
        (\eqdef, \eqdefn): ignore following spaces.

        * xeplain.tex (\@undefinedmessage): change wording slightly.

Fri Nov 30 10:51:02 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo (Installation): describe \eplain.

        * eplain.texinfo (Citations): use @file instead of @t, and make
          editorial changes.

Wed Nov 28 06:57:24 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo (Cross-references): escapes are catcode 0, not 1.
          Also, don't put a \ in the invalid example.

        * eplain.texinfo (Allocation macros): use `proclaim' in the
          example, not `innerproclaim'.

        * xeplain.tex (\alwaysspace): use \font instead of \the\font.

        * xeplain.tex (^^I): use \fontdimen2\font, instead of \tt, since
          \tt might not be a font selector. 

        * Makefile (etex.fmt): remove etex.aux.

        * xeplain.tex (\displayhook): new token register expanded at
          \everydisplay time.
        * eplain.texinfo (displays): document this.

Tue Nov 27 08:24:41 1990  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqdef): make \eqno = \relax if we are inner.
        * eplain.texinfo (Equation references): \eqdefn doesn't produce
          anything. 

        * eqref.tex: test \eqdef inside \displaylines.

        * xeplain.tex (\eplain): define to be `t'.

Sun Nov 25 09:30:46 1990  Karl Berry  (karl at hayley)

        * xeplain.tex (\eqref, \xrefn): no, that's not enough.  Use
          \if@citewarning here, so the \if's and \fi's match properly.
        * eplain.texinfo (Citations): document \xrefwarningtrue.
        (Cross-references): ditto.

        * xeplain.tex (\ifxrefwarning): define to be \if@citewarning, so
          changes to the latter are reflected in the former.

Sat Nov 24 08:21:35 1990  Karl Berry  (karl at hayley)

        * xeplain.tex: say that we have two version numbers now in the
          header comment.

Thu Nov 22 10:48:35 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo (Equation references): \eqdef can be used in an
          \eqalignno now, so \eqdefn is useful in even fewer sitations.

Thu Nov 15 10:28:13 1990  Karl Berry  (karl at hayley)

        * Version 1.5.

        * merge: remove comments from xeplain.tex as well as btxmac.tex,
          and fix the checksum and filename in the final eplain.tex.

        * xeplain.tex (\if@fileexists, ...): \let = \relax, in case the
          file is being read twice.

        * Makefile (etex.fmt): new rule.

Wed Nov 14 19:02:28 1990  Karl Berry  (karl at aten)

        * eplain.texinfo (Iterations): fix syntax error in example (from
          bsuggs@hac2arpa.hac.com).

Mon Nov 12 10:34:37 1990  Karl Berry  (karl at hayley)

        * etex.tex: mention that plain should be loaded.
        * eplain.texinfo (Installation): mention etex.tex.

        * xeplain.tex (\ifnobibtex): set to true if \nobibtex is defined.
        * eplain.texinfo (Installation): describe this.

        * btxmac.tex: new version incorporating my changes from Oren.
          \@citewarning has to be defined in the non-bibtex specific part.

Sat Nov 10 08:49:07 1990  Karl Berry  (karl at hayley)

        * xeplain.tex (\xrlabel): explain how _ works.

Wed Oct 31 06:24:56 1990  Karl Berry  (karl at hayley)

        * merge: make eplain.tex readonly after creating it.

Tue Oct 30 07:52:07 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo: `eplain' changed to `Eplain' throughout; a few
          other typos corrected.

        * btxmac.tex (\@innerdef): new macro to give an inner definition
          to an outer control sequence.
          (\@innernewcount, \@innernewdimen, \@innernewif,
           \@innernewwrite): use it to define these macros.
        * xeplain.tex: make \innernewcount et al. synonyms for the above,
          and also make inner versions of all the other plain TeX macros.
        * eplain.texinfo (Allocation macros): new section to document this.

        * xeplain.tex: rename \@xrlabel to \xrlabel.
        * eplain.texinfo (Converting to characters): document \xrlabel.

Sun Oct 28 08:35:20 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo (Cross-references): explain which characters are
          valid.

        * btxmac.tex (\@setletters): change all characters with category
          code 12 into category code 11, instead of writing a list.
          (Also change _.)
        (@setmoreletters): remove.

        * btxmac.tex (\@resetnumerals): also change the category codes of
          ', `, and ".

Sat Oct 27 09:46:54 1990  Karl Berry  (karl at hayley)

        * eplain.tex becomes xeplain.tex; a shell script `merge' puts
          definitions from btxmac.tex that are used in the rest of eplain
          into xeplain, creating eplain.tex.  Also, a new conditional,
          \ifnobibtex, determines whether we read btxmac.tex or not.
          (Being able to not read btxmac suggested by Paul.)

Sun Oct 21 14:03:31 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo (Cross-references): users should use
          \@setmoreletters, not redefine \@setletters.

Wed Oct 17 07:14:26 1990  Karl Berry  (karl at hayley)

        * eplain.tex (\eqdef): don't do \eqno if we're inner.

Sat Oct 13 07:28:11 1990  Karl Berry  (karl at hayley)

        * eplain.tex (\leftdisplayindent): new \dimen parameter
          (suggested by wiawkph@dutrun.tudelft.nl).
        (\leftdisplays): use it.
        * eplain.texinfo (Displays): document it.

        * eplain.tex (\@ddisplaytest): new macro to find an \eqdef in a
          display.
        (displaysetup): call it.

Fri Oct 12 06:27:52 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo: describe @menu entries.

        * eplain.tex (\topmargin, et al.): new macros.
        * eplain.texinfo (Margins): new section to document them.

Thu Oct 11 06:30:54 1990  Karl Berry  (karl at hayley)

        * xref.tex: forgot \xref in front of {label2}.

Tue Oct  9 06:48:08 1990  Karl Berry  (karl at hayley)

        * eplain.tex (\xrdef): use \@xrlabel, not \xrlabel.

Tue Sep 25 17:55:32 1990  Karl Berry  (karl at hayley)

        * eplain.tex (\TeX): new macro, adds \null to plain's definition.

Fri Sep 14 13:54:01 1990  Karl Berry  (karl at hayley)

        * eplain.tex (\writenumberedtocentry): expand the third parameter
        now, instead of at the time of the \write.
        * eplain.texinfo (Contents): document this.

Thu Sep 13 08:09:25 1990  Karl Berry  (karl at hayley)

        * eplain.texinfo (Citations, Formatting citations, Formatting
        bibliographies): emendations from Oren Patashnik
        <opbibtex@neon.stanford.edu>.

        * eplain.tex (\footnoterule): new macro from plain TeX,
        generalized to arbitrary dimensions.
        (\vfootnote): advance \splittopskip by \interfootnoteskip, so that
        split footnotes have the right amount of space at the top.
        * footnote.tex: test the new dimension parameters.
        * eplain.texinfo (Footnotes): document all this.

Fri Sep  7 06:38:49 1990  Karl Berry  (karl at hayley)

        * Version 1.4.

2005-08-13  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/ChangeLog, doc/Makefile:  Added "public domain" note.

2005-08-12  Karl Berry <karl@freefriends.org>

	* doc/userdef.texi, doc/eplain.info, doc/eplain.texi: wording

2005-08-12  Oleg Katsitadze  <geolsoft@mail.ru>

	* doc/Makefile (doc):  Added btxdoc prerequisite.
	(pdf): New target.
	(btxdoc): New target.
	(eplain.html): No need for it, html is good enough.
	(distclean): Brought up-to-date with the changes.

	* doc/userdef.texi (Contents):  \readtocfile does not wipe out toc
	file any more, to allow multiple contents

Sun Apr 25 22:30:00 1999 Adam Lewenberg <ahl@uakron.edu>

        * doc/progdef.texi: Added a section on user-defined environments
	to progdef.texi and fixed a few typos in documentation. Suggested
	by Paul Abrahams.  

Sun Dec 7 18:29:00 1997  Adam Lewenberg <adam@math.uiuc.edu>

        * doc/eplain.texi: Force line length of documentation to be 6.5 inches
          by adding a @changepagesizes command. 

Fri Dec 5 09:10:00 1997  Adam Lewenberg <adam@math.uiuc.edu>

        * doc/userdef.texi: Added \gutterbox explanation to multicolumn
        section.

Sun Jun 2 09:30:00 1996  Adam Lewenberg (adam@math.uiuc.edu)

        * doc/userdef.texi: added a missing word in section on path
        command. 

Mon Apr 8 12:00:00 1996  Adam Lewenberg (adam@math.uiuc.edu)

        * doc/userdef.texi: changed dimensions in section on margins from in to
        true in. 

Thu Jul 28 15:41:40 1994  Karl Berry  (karl@cs.umb.edu)

        * doc/userdef.texi: \{above,below}doublecolumnskip =>
        \{above,below}columnskip. From wiawkph@dutrun2.tudelft.nl.

Sat Apr 30 17:51:52 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.6.

        * doc/userdef.tex (Indexing): New section.
        (Contents): Describe new generic contents commands.

Sun Apr 17 10:06:50 1994  Karl Berry  (karl@ra.cs.umb.edu)

        * doc/progdef.texi (Converting to characters): Remove spurious period.
        * doc/userdef.tex (Verbatim listing, Cross-references): Fix other typos.
        * doc/invoke.texi: Rewrite \nobibtex section.
        From adam@symcom.math.uiuc.edu.

Wed Mar 30 14:27:21 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.5.

        * doc/userdef.texi (Verbatim listing): Document \makeverbatimescapechar.

Tue Mar 22 10:48:01 1994  Karl Berry  (karl@cs.umb.edu)

        * Version 2.4.

Thu Mar  3 17:47:55 1994  Karl Berry  (karl@cs.umb.edu)

	* doc/invoke.texi (Invoking Eplain): Document \noarrow.
	
	* doc/userdef.texi (Formatting bibliographies): Index extra space
	between the items.

Sun Apr 11 15:44:58 1993  Karl Berry  (karl@cs.umb.edu)

	* doc/userdef.texi (Equation references): Document empty equation labels.

Sun Apr  4 13:21:12 1993  Karl Berry  (karl@cs.umb.edu)

	* doc/install.texi: Include information for emtex.

	* doc/Makefile (TEX): Be sure .. is in TEXINPUTS.

	* doc/Makefile (distclean): Remove empty .??s files.

Mon Mar  1 06:26:51 1993  Karl Berry  (karl@cs.umb.edu)

	* Version 2.3.

Fri Dec 18 10:14:25 1992  Karl Berry  (karl@cs.umb.edu)

	* doc/progdef.texi: Document \expandifdefined.

Thu Nov 12 17:53:07 1992  Karl Berry  (karl@cs.umb.edu)

	* doc/userdef.texi (Formatting displays): \displaysetup is now
	\leftdisplaysetup.

Wed Nov 11 07:08:12 1992  Karl Berry  (karl@cs.umb.edu)

	* Version 2.2.

Mon Nov  9 09:59:24 1992  Karl Berry  (karl@cs.umb.edu)

	* doc/Makefile (dist): Make the Info and index files after inserting
	the new version number.

Thu Oct 22 10:46:28 1992  Karl Berry  (karl@cs.umb.edu)

	* update.el (make-backup-files): Set to nil.

Tue Aug 18 15:55:15 1992  Karl Berry  (karl@hayley)

        * doc/Makefile (INSTALL): `Node: Installation' does not begin a line.

Fri Jul 31 19:18:12 1992  Karl Berry  (karl@hayley)

        * doc/userdef.texi (Verbatim): \verbatim doesn't work in macro definitions.

Fri Jul 17 09:55:10 1992  Karl Berry  (karl@hayley)

        * doc/userdef.texi (Tables): update info for ruled.tex (from
          mathew@bach.crhc.uiuc.edu).

Fri May 29 09:35:59 1992  Karl Berry  (karl@hayley)

        * doc/userdef.texi (Paths): new section.

Thu May 21 09:08:18 1992  Karl Berry  (karl@hayley)

        * doc/userdef.texi (Verbatim listing): had the example wrong.

Tue May 12 15:28:04 1992  Karl Berry  (karl@hayley)

        * doc/userdef.texi (Cross-references): had sense of valid xref
          catcodes inverted.

Thu May  7 08:08:24 1992  Karl Berry  (karl@hayley)

        * doc/Makefile (dist): link the .texi files.

Wed May  6 15:41:24 1992  Karl Berry  (karl@hayley)

        * doc/eplain.texi: add an `@paragraphindent'.

Tue May  5 11:05:43 1992  Karl Berry  (karl@hayley)

        * doc/Makefile (install): use a loop to install the multiple info
        files.
        (eplain.info): depend on *.texi.
        * doc/*.texi: split up eplain.texinfo.

Tue Apr 28 08:23:30 1992  Karl Berry  (karl@hayley)

        * doc/Makefile (prefix, infodir, INSTALL_DATA): add definitions.
        (distclean): new target.
        (dist): put INSTALL in the distribution.

Sun Apr 19 08:17:43 1992  Karl Berry  (karl@hayley)

        * doc/eplain.texinfo (\expandonce): new subsection.
        (\futurenonspacelet): change to a subsection.
        (\ifundefined): might as well document this here, also.
        (Expansion): new section.

        * doc/eplain.texinfo (Verbatim listing): document \listingfont.

        * doc/Makefile (eplain.dvi): tex eplain.texinfo, not eplain.cps.

Tue Mar 31 14:12:03 1992  Karl Berry  (karl at hayley)

        * doc/eplain.texinfo (Boxes): document \boxit using \e[hv]rule.

Wed Mar 25 09:22:29 1992  Karl Berry  (karl at hayley)

        * Version 2.1.

        * doc/eplain.texinfo: add section on patents and copyrights.

Sun Mar 15 08:22:56 1992  Karl Berry  (karl at hayley)

        * doc/Makefile: new file.


This file is public domain.
